#
# Confirm account creation. 
#
import MoinMoin

def execute(pagename, request):
  #
  # The code is held in the macro with the same name.  We just defer to it.
  #
  me = __name__.split(".")[-1]
  action = MoinMoin.wikiutil.importPlugin(
      request.cfg, "macro", me, function="action")
  message, html = action(pagename, request)
  if message:
    pagename = request.cfg.page_front_page
  MoinMoin.Page.Page(request, pagename).send_page(request, msg=message)
